# Goods arrived: mark received and put the quantities on the shelf

`POST /shop/purchase-orders/{id}/receive` · Rivier · shop

Goods arrived: mark received and put the quantities on the shelf.

- Scope: shop:write
- Mcp: rivier_shop_po_receive
- Sdk: shop.purchaseOrder.receive
- Cli: shop purchase order receive
- Events: shop.purchaseOrder.received

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "locationId": {
      "type": "string",
      "format": "uuid"
    },
    "received": {
      "type": "object",
      "additionalProperties": {
        "type": "integer",
        "minimum": 0,
        "maximum": 10000000
      },
      "default": {}
    }
  },
  "required": [
    "locationId"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/shop/purchase-orders/{id}/receive' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "string"
}'
```
